Bug 970682 - puppet install/uninstall/update says run or schedule , but there is no schedule options
puppet install/uninstall/update says run or schedule , but there is no schedu...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: puppet-support (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: nobody nobody
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 11:03 EDT by Preethi Thomas
Modified: 2013-09-10 11:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:45:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-06-04 11:03:59 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Preethi Thomas 2013-06-04 11:04:41 EDT
[root@ibm-x3550m3-09 ~]# pulp-admin puppet consumer
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: consumer commands

Available Sections:
  install   - run or schedule a module install
  uninstall - run or schedule a module uninstall
  update    - run or schedule a module update

Available Commands:
  bind   - binds a consumer to a repository
  unbind - removes the binding between a consumer and a repository
[root@ibm-x3550m3-09 ~]# 
[root@ibm-x3550m3-09 ~]# pulp-admin puppet consumer install
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run or schedule a module install

Available Commands:
  run - triggers an immediate content unit install on the consumer
[root@ibm-x3550m3-09 ~]#
Comment 2 Jeremy Cline 2013-06-05 17:56:24 EDT
https://github.com/pulp/pulp_puppet/pull/54
Comment 3 Jeremy Cline 2013-06-06 15:48:53 EDT
I fixed the pull request to merge into pulp-2.2 instead of master, so here's the new pull request: https://github.com/pulp/pulp_puppet/pull/55
Comment 4 Jeremy Cline 2013-06-10 10:22:52 EDT
Third time's the charm: https://github.com/pulp/pulp_puppet/pull/56
Comment 5 Jeff Ortel 2013-06-11 10:16:00 EDT
build: 2.2.0-0.3.beta
Comment 6 Preethi Thomas 2013-06-12 14:26:42 EDT
verified
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.3.beta.fc18.noarch
[root@hp-dl360g6-01 ~]# 


[root@hp-dl360g6-01 ~]# pulp-admin puppet consumer 
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: consumer commands

Available Sections:
  install   - run a module install
  uninstall - run a module uninstall
  update    - run a module update

Available Commands:
  bind   - binds a consumer to a repository
  unbind - removes the binding between a consumer and a repository
[root@hp-dl360g6-01 ~]# pulp-admin puppet consumer install 
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run a module install

Available Commands:
  run - triggers an immediate content unit install on the consumer
Comment 8 Preethi Thomas 2013-09-10 11:45:33 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.